User
Retrieve the current user
Retrieve the user the credential belongs to, the name of their organization, and what the credential may do. This endpoint requires no capability, and can only ever return the credential's own user.
curl https://api.tapeapp.com/v1/user \
-u user_key_replace_with_your_api_key:
{
"user_id": 10000,
"org_id": 1337,
"org_name": "Acme Inc.",
"name": "John Doe",
"status": "active",
"role": "owner",
"email": "[email protected]",
"phone": "555 123 456",
"job_description": "Founder & CEO",
"authentication": {
"method": "personal_access_token",
"scopes": ["apps:read", "records:read"],
"content_access": {
"scope": "selected",
"workspace_ids": [42],
"app_ids": []
}
}
}
The authentication block describes the credential used for the request:
method | scopes | content_access |
|---|---|---|
personal_access_token | The token's capabilities | scope is all, or selected with the selected workspace_ids and app_ids |
oauth_access_token | The scopes the access token holds | Always {"scope": "all", "workspace_ids": [], "app_ids": []} |
user_key | null — a user API key is unrestricted | null |
Retrieve organization users
Retrieve your current organization's users (e.g. the organization with ID 1337):
curl https://api.tapeapp.com/v1/org/user \
-u user_key_replace_with_your_api_key:
{
"users": [
{
"user_id": 10000,
"name": "John Doe",
"org_id": 1337,
"status": "active",
"email": "[email protected]",
"phone": "555 123 456",
"role": "owner",
"job_description": "Founder & CEO"
},
{
"user_id": 10001,
"name": "Zoe Maxwell",
"org_id": 1337,
"status": "active",
"email": "[email protected]",
"phone": "555 123 457",
"role": "member",
"job_description": "Executive"
}
],
"total": 2
}
Add user to organization
Add a new user to your current organization (e.g. the organization with ID 1337). Include the skip_invitation flag in your request body to skip sending the invitation email upon user creation.
curl -X POST https://api.tapeapp.com/v1/org/user \
-u user_key_replace_with_your_api_key: \
-H "Content-Type: application/json" \
--data '{
"name": "Roger Sterling",
"email": "[email protected]",
"role": "admin",
"skip_invitation": true
}'
{
"user_id": 10002,
"name": "Roger Sterling",
"org_id": 1337,
"status": "active",
"email": "[email protected]",
"phone": "555 123 458",
"role": "admin",
"job_description": "VP"
}
User Organization Role
The role property to create users needs to be one of "admin", "member" and "guest". This corresponds to the user organization roles documented in the help center. Note that adding admin and member users is a billable event. 💲
Resend user invitation email
Resend an invitation email for an organization user. This will be important when skipping invitations during user creation, and allows sending the invitation email at a dedicated point in time later or repetitively.
curl -X POST https://api.tapeapp.com/v1/org/user/10000/resend-invitation \
-u user_key_replace_with_your_api_key:
{
}
Update or delete users
Not available
Endpoints for modifying existing User resources are not available yet. Create a community feature request if those are important for your integrations.
Resend pending invitations
Resend all pending invitation emails for an organization. Needs the active user's organization role to be owner or admin.
curl -X POST https://api.tapeapp.com/v1/org/invitation/resend-pending \
-u user_key_replace_with_your_api_key:
{
}